Name:           autodownloader
Version:        0.5.0
Release:        %mkrel 4
Summary:        GUI-tool to automate the download of certain files
License:        GPLv2+
Group:          Networking/File transfer
URL:            https://github.com/frenzymadness/AutoDownloader
Source0:        https://github.com/frenzymadness/AutoDownloader/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
Requires:       python3-gobject3
Requires:       python3-six
Requires:       hicolor-icon-theme

%description
Some software (usually games) requires certain data files to operate, sometimes
these datafiles can be freely downloaded but may not be redistributed and thus
cannot be put into so called packages as part of a distro.

autodownloader is a tool which can be used as part of a package to automate the
download of the needed files. It will prompt the user explaining to him the
need of the download and asking if it is ok to make an internet connection,
after this it will show the license of the to be downloaded files and last it
will do the actual download and md5 verification off these files. This whole
process can be configured by the packager through a simple configuration file.

Notice that Autodownloader while open source itself, may download files which
are not permitted to be (re)distributed unlike most files in Fedora.

%files
%license COPYING
%doc ChangeLog README.txt examples/example.autodlrc
%{_bindir}/autodl
%{_datadir}/autodl
%{_datadir}/icons/hicolor/*/apps/autodl.png

#--------------------------------------------------------------------

%prep
%setup -q -n AutoDownloader-%{version}

%{py3_shebang_fix} .

%build
# nothing to build pure python code only

%install
%make_install


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.5.0-4.mga10
+ Revision: 2221477
- Mageia 10 Mass Rebuild

* Tue Feb 27 2024 papoteur <papoteur> 0.5.0-3.mga10
+ Revision: 2044686
- rebuild for python 3.12
- fix shebang fix

* Mon Mar 21 2022 umeabot <umeabot> 0.5.0-2.mga9
+ Revision: 1813200
- Mageia 9 Mass Rebuild

* Wed Sep 02 2020 daviddavid <daviddavid> 0.5.0-1.mga8
+ Revision: 1620912
- new version: 0.5.0

* Thu Feb 20 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1546030
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.4.0-1.mga8
+ Revision: 1485758
- new version: 0.4.0
- Python 3 & GTK 3 compatibility
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Sep 18 2018 umeabot <umeabot> 0.3.0-12.mga7
+ Revision: 1260371
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.3.0-11.mga7
+ Revision: 1259955
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.3.0-10.mga6
+ Revision: 941261
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-9.mga5
+ Revision: 745330
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-8.mga5
+ Revision: 678057
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-7.mga4
+ Revision: 502972
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.3.0-6.mga3
+ Revision: 346640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 fwang <fwang> 0.3.0-5.mga2
+ Revision: 164595
- fix req

* Sun Nov 06 2011 gil <gil> 0.3.0-4.mga2
+ Revision: 164236
- imported package autodownloader


* Thu Jun 23 2011 gil <gil> 0.3.0-0.%%mkrel
- initial rpm